Subject: Re: [PATCH] Use "-f" when adding files with odd names in t9200.

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 3 Feb 2007 22:47:22 -0500

Junio C Hamano <[email-masked]> wrote:
> This is not to make any point but purely for my own education,
> but I wonder what would happen on HFS+ to the following
> sequence, which does not involve any git operation:
> 
> Doesn't the grep fail to find the file that was successfully
> created in the previous step?

Indeed.  I stole the path "gitweb/test/M\303\244rchen" from git.git
and ran your script on Mac OS X:

  $ cat jt.sh; echo; sh jt.sh 
  #!/bin/sh
  LANG=C LC_ALL=C
  export LANG LC_ALL
  
  rm -fr testrepo
  mkdir testrepo
  cd testrepo
  
  pathname='MÃ¤rchen'
  echo $pathname
  echo hello >"$pathname"
  /bin/ls | fgrep -e "$pathname" | wc -l
  
  pathname='Mrchen'
  echo $pathname
  echo hello >"$pathname"
  /bin/ls | fgrep -e "$pathname" | wc -l
  MÃ¤rchen
         0
  Mrchen
         1

The first pathname= line in the above script is the *exact* byte
sequence which appears in gitweb/test's tree.  I apologize if my
email chain screws up the line.

-- 
Shawn.